/****************************************************************************************/
/*                                                                                      */
/* Name       : CharakterSet.h                             Version in Project: 001      */
/*                                                             // !!! update please !!! */
/* Author     : Volker Pritsching                                                       */
/*                                                                                      */
/* Language   : C                                                                       */
/*                                                                                      */
/* Description: Headerfile zum Programm zur                                             */
/*              Teleskopsteuerung                                                       */
/*                                                                                      */
/****************************************************************************************/
/*                                                                                      */
/* 04.00.04 VA001 Volker Pritsching  first code                // !!! update please !!! */
/*                                                                                      */
/****************************************************************************************/

/*--------------------------------------------------------------------------------------*/
/* include control                                                                      */
/*--------------------------------------------------------------------------------------*/
#ifndef __INCCharakterset
#define __INCCharakterset
/*tMSG_Buffer[0] = 0x00;    //A
tMSG_Buffer[1] = 0x7E;
tMSG_Buffer[2] = 0x11;
tMSG_Buffer[3] = 0x11;
tMSG_Buffer[4] = 0x11;
tMSG_Buffer[5] = 0x7e;
tMSG_Buffer[6] = 0x00;
tMSG_Buffer[7] = 0x00;
fFillRAM(0,tMSG_Buffer);    //b
tMSG_Buffer[0] = 0x00;
tMSG_Buffer[1] = 0x7f;
tMSG_Buffer[2] = 0x49;
tMSG_Buffer[3] = 0x49;
tMSG_Buffer[4] = 0x49;
tMSG_Buffer[5] = 0x36;
tMSG_Buffer[6] = 0x00;
tMSG_Buffer[7] = 0x00;
fFillRAM(1,tMSG_Buffer);    //C
tMSG_Buffer[0] = 0x00;
tMSG_Buffer[1] = 0x3e;
tMSG_Buffer[2] = 0x41;
tMSG_Buffer[3] = 0x41;
tMSG_Buffer[4] = 0x41;
tMSG_Buffer[5] = 0x22;
tMSG_Buffer[6] = 0x00;
tMSG_Buffer[7] = 0x00;
fFillRAM(2,tMSG_Buffer);    //D
tMSG_Buffer[0] = 0x00;
tMSG_Buffer[1] = 0x7f;
tMSG_Buffer[2] = 0x41;
tMSG_Buffer[3] = 0x41;
tMSG_Buffer[4] = 0x22;
tMSG_Buffer[5] = 0x1C;
tMSG_Buffer[6] = 0x00;
tMSG_Buffer[7] = 0x00;
fFillRAM(3,tMSG_Buffer);   //  E
tMSG_Buffer[0] = 0x00;
tMSG_Buffer[1] = 0x7f;
tMSG_Buffer[2] = 0x49;
tMSG_Buffer[3] = 0x49;
tMSG_Buffer[4] = 0x49;
tMSG_Buffer[5] = 0x41;
tMSG_Buffer[6] = 0x00;
tMSG_Buffer[7] = 0x00;
fFillRAM(4,tMSG_Buffer);    //F
tMSG_Buffer[0] = 0x00;
tMSG_Buffer[1] = 0x7f;
tMSG_Buffer[2] = 0x09;
tMSG_Buffer[3] = 0x09;
tMSG_Buffer[4] = 0x09;
tMSG_Buffer[5] = 0x01;
tMSG_Buffer[6] = 0x00;
tMSG_Buffer[7] = 0x00;
fFillRAM(5,tMSG_Buffer);    //  G
tMSG_Buffer[0] = 0x00;
tMSG_Buffer[1] = 0x3e;
tMSG_Buffer[2] = 0x41;
tMSG_Buffer[3] = 0x49;
tMSG_Buffer[4] = 0x49;
tMSG_Buffer[5] = 0x3a;
tMSG_Buffer[6] = 0x00;
tMSG_Buffer[7] = 0x00;
fFillRAM(6,tMSG_Buffer);   // H
tMSG_Buffer[0] = 0x00;
tMSG_Buffer[1] = 0x7f;
tMSG_Buffer[2] = 0x08;
tMSG_Buffer[3] = 0x08;
tMSG_Buffer[4] = 0x08;
tMSG_Buffer[5] = 0x7f;
tMSG_Buffer[6] = 0x00;
tMSG_Buffer[7] = 0x00;
fFillRAM(7,tMSG_Buffer);

*/
unsigned char cChar128 [256][8] __attribute__ ((section (".progmem"))) = 
{
 {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xff}, // 00
 {0x00,0x00,0x00,0x00,0x00,0x00,0xff,0xff}, // 01
 {0x00,0x00,0x00,0x00,0x00,0xff,0xff,0xff}, // 02
 {0x00,0x00,0x00,0x00,0xff,0xff,0xff,0xff}, // 03
 {0x00,0x00,0x00,0xff,0xff,0xff,0xff,0xff}, // 04
 {0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff}, // 05
 {0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff}, // 06
 {0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff}, // 07
 {0x00,0x08,0x1c,0x2a,0x08,0x08,0x00,0x00}, // 0x08
 {0x00,0x7f,0x01,0x01,0x01,0x01,0x00,0x00}, // 0x09
 {0x00,0x01,0x01,0x01,0x01,0x7f,0x00,0x00}, // 0x0a
 {0x00,0x7f,0x40,0x40,0x40,0x40,0x00,0x00}, // 0x0b
 {0x00,0x40,0x40,0x40,0x40,0x7f,0x00,0x00}, // 0x0c
 {0x00,0x00,0x18,0x18,0x00,0x00,0x00,0x00}, // 0x0d
 {0x00,0x3e,0x41,0x75,0x4b,0x3e,0x00,0x00}, // 0x0e
 {0x00,0x3e,0x63,0x5d,0x6b,0x3e,0x00,0x00}, // 0x0f
 {0x00,0x79,0x11,0x27,0x11,0x79,0x00,0x00}, // 0x10
 {0x00,0x04,0x04,0x7f,0x04,0x04,0x00,0x00}, // 0x11
 {0x00,0x0a,0x55,0x55,0x55,0x18,0x00,0x00}, // 0x12
 {0x00,0x06,0x0f,0x7f,0x01,0x7f,0x0,0x0},   // 0x13
 {0x00,0x7f,0x01,0x01,0x01,0x07,0x0,0x0},   // 0x14
 {0x00,0x60,0x50,0x48,0x44,0x7e,0x0,0x0},   // 0x15
 {0x00,0x3e,0x49,0x49,0x49,0x3e,0x0,0x0},   // 0x16
 {0x00,0x70,0x0c,0x03,0x0c,0x70,0x0,0x0},   // 0x17
 {0x00,0x63,0x49,0x49,0x49,0x63,0x0,0x0},   // 0x18
 {0x00,0x01,0x7f,0x01,0x7f,0x01,0x0,0x0},   // 0x19
 {0x00,0x41,0x63,0x55,0x49,0x41,0x0,0x0},   // 0x1A
 {0x00,0x06,0x01,0x7e,0x01,0x06,0x0,0x0},   // 0x1b
 {0x00,0x18,0xa5,0xff,0xa5,0x18,0x0,0x0},   // 0x1c
 {0x00,0x0f,0x10,0x7f,0x10,0x0f,0x0,0x0},   // 0x1d
 {0x00,0x4e,0x71,0x01,0x71,0x4e,0x0,0x0},   // 0x1e
 {0x00,0x38,0x44,0x44,0x38,0x44,0x0,0x0},   // 0x1f
 {0x00,0x00,0x00,0x00,0x00,0x00,0x0,0x0},   // 0x20
 {0x00,0x00,0x00,0x4f,0x00,0x00,0x0,0x0},   // !
 {0x00,0x00,0x07,0x00,0x07,0x00,0x0,0x0},   // "
 {0x00,0x14,0x7f,0x14,0x7f,0x14,0x0,0x0},   // #
 {0x00,0x24,0x2a,0x7f,0x2a,0x12,0x0,0x0},   // $
 {0x00,0x23,0x13,0x08,0x34,0x62,0x0,0x0},   // %
 {0x00,0x36,0x49,0x55,0x22,0x50,0x0,0x0},   // &
 {0x00,0x00,0x05,0x03,0x00,0x00,0x0,0x0},   // '
 {0x00,0x00,0x1c,0x22,0x41,0x00,0x0,0x0},   // (
 {0x00,0x00,0x41,0x22,0x1c,0x00,0x0,0x0},   // )
 {0x00,0x14,0x08,0x3e,0x08,0x14,0x0,0x0},   // *
 {0x00,0x08,0x08,0x3e,0x08,0x08,0x0,0x0},   // +
 {0x00,0x00,0x50,0x30,0x00,0x00,0x0,0x0},   // 0x2c
 {0x00,0x08,0x08,0x08,0x08,0x08,0x0,0x0},   // -
 {0x00,0x00,0x60,0x60,0x00,0x00,0x0,0x0},   // .
 {0x00,0x20,0x10,0x08,0x04,0x02,0x0,0x0},   // /
 {0x00,0x3e,0x51,0x49,0x45,0x3e,0x0,0x0},   // 0
 {0x00,0x00,0x42,0x7f,0x40,0x00,0x0,0x0},   // 1
 {0x00,0x42,0x61,0x51,0x49,0x46,0x0,0x0},   // 2
 {0x00,0x21,0x41,0x45,0x4b,0x31,0x0,0x0},   // 3
 {0x00,0x18,0x14,0x12,0x7f,0x10,0x0,0x0},   // 4
 {0x00,0x27,0x45,0x45,0x45,0x39,0x0,0x0},   // 5
 {0x00,0x3c,0x4a,0x49,0x49,0x30,0x0,0x0},   // 6
 {0x00,0x01,0x71,0x09,0x05,0x03,0x0,0x0},   // 7
 {0x00,0x36,0x49,0x49,0x49,0x36,0x0,0x0},   // 8
 {0x00,0x06,0x49,0x49,0x29,0x1e,0x0,0x0},   // 9
 {0x00,0x00,0x36,0x36,0x00,0x00,0x0,0x0},   // :
 {0x00,0x00,0x56,0x36,0x00,0x00,0x0,0x0},   // ;
 {0x00,0x08,0x14,0x22,0x41,0x00,0x0,0x0},   // <
 {0x0,0x14,0x14,0x14,0x14,0x14,0x0,0x0},   // =
 {0x0,0x00,0x41,0x22,0x14,0x08,0x0,0x0},   // >
 {0x0,0x02,0x01,0x51,0x09,0x06,0x0,0x0},   // ?
 {0x0,0x32,0x49,0x79,0x11,0x3e,0x0,0x0},   // @ 0x40
 {0x0,0x7e,0x11,0x11,0x11,0x7e,0x0,0x0},   // A 
 {0x0,0x7f,0x49,0x49,0x49,0x36,0x0,0x0},   // B
 {0x0,0x3e,0x41,0x41,0x51,0x22,0x0,0x0},   // C
 {0x0,0x7f,0x41,0x41,0x22,0x1c,0x0,0x0},   // D
 {0x0,0x7f,0x49,0x49,0x49,0x41,0x0,0x0},   // E
 {0x0,0x7f,0x09,0x09,0x09,0x01,0x0,0x0},   // F
 {0x0,0x3e,0x41,0x49,0x49,0x3a,0x0,0x0},   // G
 {0x0,0x7f,0x08,0x08,0x08,0x7f,0x0,0x0},   // H
 {0x0,0x00,0x41,0x7f,0x41,0x00,0x0,0x0},   // I
 {0x0,0x20,0x40,0x41,0x3f,0x01,0x0,0x0},   // J
 {0x0,0x7f,0x08,0x14,0x22,0x41,0x0,0x0},   // K
 {0x0,0x7f,0x40,0x40,0x40,0x40,0x0,0x0},   // L
 {0x0,0x7f,0x02,0x0c,0x02,0x7f,0x0,0x0},   // M
 {0x0,0x7f,0x04,0x08,0x10,0x7f,0x0,0x0},   // N
 {0x0,0x3E,0x41,0x41,0x41,0x3e,0x0,0x0},   // O
 {0x0,0x7f,0x09,0x09,0x09,0x06,0x0,0x0},   // P 0x50
 {0x0,0x3e,0x41,0x51,0x21,0x5e,0x0,0x0},   // Q
 {0x0,0x7f,0x09,0x19,0x29,0x46,0x0,0x0},   // R
 {0x0,0x46,0x49,0x49,0x49,0x31,0x0,0x0},   // S
 {0x0,0x01,0x01,0x7f,0x01,0x01,0x0,0x0},   // T
 {0x0,0x3f,0x40,0x40,0x40,0x3f,0x0,0x0},   // U
 {0x0,0x1f,0x20,0x40,0x20,0x1f,0x0,0x0},   // V
 {0x0,0x3f,0x40,0x38,0x40,0x3f,0x0,0x0},   // W
 {0x0,0x63,0x14,0x08,0x14,0x63,0x0,0x0},   // X
 {0x0,0x07,0x08,0x70,0x08,0x07,0x0,0x0},   // Y
 {0x0,0x61,0x51,0x49,0x45,0x43,0x0,0x0},   // Z
 {0x0,0x00,0x7F,0x41,0x41,0x00,0x0,0x0},   // [
 {0x0,0x15,0x16,0x4c,0x16,0x15,0x0,0x0},   // 0x5c
 {0x0,0x00,0x41,0x41,0x7f,0x00,0x0,0x0},   // ]
 {0x0,0x04,0x02,0x01,0x02,0x04,0x0,0x0},   // 0x5e
 {0x0,0x40,0x40,0x40,0x40,0x40,0x0,0x0},   // 0x5F
 {0x0,0x7e,0x11,0x11,0x11,0x7e,0x0,0x0},   // 0x60
 {0x0,0x7f,0x49,0x49,0x49,0x36,0x0,0x0},   // B
 {0x0,0x3e,0x41,0x41,0x51,0x22,0x0,0x0},   // C
 {0x0,0x7f,0x41,0x41,0x22,0x1c,0x0,0x0},   // D
 {0x0,0x7f,0x49,0x49,0x49,0x41,0x0,0x0},   // E
 {0x0,0x7f,0x09,0x09,0x09,0x01,0x0,0x0},   // F
 {0x0,0x3e,0x41,0x49,0x49,0x3a,0x0,0x0},   // G
 {0x0,0x7f,0x08,0x08,0x08,0x7f,0x0,0x0},   // H
 {0x0,0x7e,0x11,0x11,0x11,0x7e,0x0,0x0},   // A
 {0x0,0x7f,0x49,0x49,0x49,0x36,0x0,0x0},   // B
 {0x0,0x3e,0x41,0x41,0x51,0x22,0x0,0x0},   // C
 {0x0,0x7f,0x41,0x41,0x22,0x1c,0x0,0x0},   // D
 {0x0,0x7f,0x49,0x49,0x49,0x41,0x0,0x0},   // E
 {0x0,0x7f,0x09,0x09,0x09,0x01,0x0,0x0},   // F
 {0x0,0x3e,0x41,0x49,0x49,0x3a,0x0,0x0},   // G
 {0x0,0x7f,0x08,0x08,0x08,0x7f,0x0,0x0},   // H
 {0x0,0x7e,0x11,0x11,0x11,0x7e,0x0,0x0},   // 0x70
 {0x0,0x7f,0x49,0x49,0x49,0x36,0x0,0x0},   // B
 {0x0,0x3e,0x41,0x41,0x51,0x22,0x0,0x0},   // C
 {0x0,0x7f,0x41,0x41,0x22,0x1c,0x0,0x0},   // D
 {0x0,0x7f,0x49,0x49,0x49,0x41,0x0,0x0},   // E
 {0x0,0x7f,0x09,0x09,0x09,0x01,0x0,0x0},   // F
 {0x0,0x3e,0x41,0x49,0x49,0x3a,0x0,0x0},   // G
 {0x0,0x7f,0x08,0x08,0x08,0x7f,0x0,0x0},   // H
 {0x0,0x7e,0x11,0x11,0x11,0x7e,0x0,0x0},   // A
 {0x0,0x7f,0x49,0x49,0x49,0x36,0x0,0x0},   // B
 {0x0,0x3e,0x41,0x41,0x51,0x22,0x0,0x0},   // C
 {0x0,0x7f,0x41,0x41,0x22,0x1c,0x0,0x0},   // D
 {0x0,0x7f,0x49,0x49,0x49,0x41,0x0,0x0},   // E
 {0x0,0x7f,0x09,0x09,0x09,0x01,0x0,0x0},   // F
 {0x0,0x3e,0x41,0x49,0x49,0x3a,0x0,0x0},   // G
 {0x0,0x7f,0x08,0x08,0x08,0x7f,0x0,0x0}    // H
};
/*--------------------------------------------------------------------------------------*/
/* Functions for SCPI                                                                   */
/*--------------------------------------------------------------------------------------*/

#endif

